#ifndef CLASSICINPUTTYPE_H
#define CLASSICINPUTTYPE_H

#include "classicactions.h"
#include "inputtype.h"

class ClassicInputType : public InputType
{
public:
    explicit ClassicInputType(const microsec& timestamp, Action action);
    virtual ~ClassicInputType() override;

    bool operator==(const Action& comparing_action) const;
    bool operator==(const ClassicInputType& comparing_action) const;

private:
    Action _action;
};

#endif // CLASSICINPUTTYPE_H
